- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\SynchronizeFilter

class SynchronizeFilter implements VideoFilterInterface

Synchronizes audio and video in case of desynchronized movies.

## Methods

| __construct($priority = 12) |
integer | getPriority() Returns the priority of the filter. |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 24
`public __construct($priority = 12)`

#### Parameters

| $priority |

###
at line 32
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 40
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments